# RPM specfile for pspell module
# Generated Fri Nov  8 02:18:25 2002 GMT by Ximian build system
# from $Id: bb_do,v 1.211 2002/10/24 21:04:38 peter Exp $

%define nam	pspell
%define ver	0.12.2
%define ximrev	7

Name:     	pspell
Version: 	0.12.2
Release:	ximian.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 8.0 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://pspell.sourceforge.net/
Epoch:		2
Source0:	pspell-.12.2.tar.gz
Patch0:		pspell-old-libtool-fix.patch
Summary:	Portable Spell Checker Interface Library.
Group:		Applications/Text
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
The Pspell library provides a generic interface to spell checker
libraries installed on the system.

%files
%defattr(-, root, root)
%doc README manual/man-html manual/man-text
/usr/share/pspell/*
/usr/lib/libpspell*.so.*


%package -n pspell-devel
Summary:	Static libraries and header files for pspell
Group:		Applications/Text
Requires:	pspell = %{PACKAGE_VERSION}
Provides:	ximian-pspell-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n pspell-devel
The Pspell library provides a generic interface to Spell checker
libraries installed on the system. This package contains static
libraries and header files for Pspell

%files -n pspell-devel
%defattr(-, root, root)
/usr/bin/pspell-config
/usr/lib/libpspell*.a
/usr/lib/libpspell*.so
/usr/include/pspell/*.h
/usr/include/pspell/*.hh


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pspell-.12.2
    ;;
all)
%setup  -q -n pspell-.12.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-ltdl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Oct 30 2002 Ximian, Inc.

- Version: 2:0.12.2-ximian.7
- Summary: New build.
- New automated build.

* Tue Oct 29 2002 Ximian, Inc.

- Version: 1:12.2-ximian.7
- Summary: New build.
- New automated build.

